<div class="carousel">
  <ngb-carousel *ngIf="images" [showNavigationArrows]="true">
    <ng-template ngbSlide *ngFor="let image of images">
      <div class="picsum-img-wrapper">
        <div class="image-container">
          <img  [src]="image" alt="Random first slide">
        </div>
      </div>
    </ng-template>
  </ngb-carousel>
</div>


<div class="container">
  <mat-card>
    <mat-card-title id="singleEventTitle">{{ event.name }}</mat-card-title>
    <mat-divider></mat-divider>
    <br>
    <mat-card-content>
      <table>
        <tr>
          <td>Description:</td>
          <td colspan="2" id="description">{{ event.description }}</td>
        </tr>
        <tr>
          <td>Category:</td>
          <td colspan="2" id="category">{{ event.type }}</td>
          <td colspan="2" rowspan="5">
            <div class="map-container">
              <app-map [latitude]="event.space.location.latitude" [longitude]="event.space.location.longitude" ></app-map>
            </div>
          </td>
        </tr>
        <tr>
          <td>Date:</td>
          <td colspan="2" id="date">{{ event.startDate | date}} - {{ event.endDate | date}}</td>
        </tr>
        <tr>
          <td>Space:</td>
          <td colspan="2" id="space">{{ event.space.name }}, {{ event.space.location.name }}</td>
        </tr>
        <tr>
          <td>Address:</td>
          <td colspan="2" id="address">{{ event.space.location.address }}, {{event.space.location.city}}, {{event.space.location.country}}</td>
        </tr>
        <tr>
          <td>State:</td>
          <td colspan="2" id="state">{{ event.state }}</td>
        </tr>
      </table>
    </mat-card-content>

    <mat-card-actions>
      <div class="button-container">
        <button id="makeReservationButton" class="res-button" mat-raised-button color="primary" [routerLink]="['/reservation/', event.id]">Make Reservation</button> <!-- TODO implement button -->
      </div>
    </mat-card-actions>
  </mat-card>

</div>
